:root {
    --grid-line: #1c1c226b;
    --text-color: #e2e2e9;
}

body {
    font-family: "Courier New", Courier, monospace;
    font-weight: bold;
    background-color: #121215;
    color: var(--text-color);
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 20px;
    box-sizing: border-box;

    background-image: 
        linear-gradient(to right, var(--grid-line) 2px, transparent 2px),
        linear-gradient(to bottom, var(--grid-line) 2px, transparent 2px);
    background-size: 16px 16px;
}

.container {
    width: 100%;
    max-width: 360px;
    text-align: center;
    background: #16161acc;
    padding: 30px 24px;
    border: 3px solid #24242b;
}

h1 {
    font-size: 1.2rem;
    margin: 0 0 8px 0;
    letter-spacing: -1px;
}

.tagline {
    font-size: 0.8rem;
    color: #62626e;
    margin: 0 0 40px 0;
}

.links-stack {
    display: flex;
    flex-direction: column;
    gap: 12px;
}


.link {
    display: block;
    color: var(--text-color);
    text-decoration: none;
    padding: 14px;
    border: 2px dashed #2d2d37;
    background: transparent;
    font-size: 0.95rem;
    text-align: left;
    position: relative;
}

.link::after {
    content: "■";
    position: absolute;
    right: 14px;
    color: #3e3e4a;
}

.link:hover {
    color: #000000;
    border-style: solid;
    border-color: #000000;
}

.link:hover::after {
    color: #000000;
}

.link.queue:hover { background-color: #dadada }
.link.twitter:hover { background-color: #2d2d37; }
.link.blue:hover  { background-color: #1b86d3; }
.link.fa:hover   { background-color: #dfa446; }
.link.tg:hover  { background-color: #2f8ee7; }

.link.disabled {
    color: #55555c;
    border-color: #24242b;
    background-color: #16161e;
    cursor: not-allowed;
    pointer-events: none; 
}

.link.disabled::after {
    content: "×";
    color: #44444a;
}
